post
https://sandbox.saner.secpod.com/RPWebService/getRiskTechnicalImpactDetails
List an account's vulnerabilities by technical impact.
This method is used to get the technical impact of a vulnerability. Technical impact is similar to the Common Vulnerability Scoring System (CVSS) base score’s concept of “severity.” When evaluating technical impact, the definition of scope is particularly important. The decision point, "Total," is relative to the affected component where the vulnerability resides. If a vulnerability discloses authentication or authorization credentials to the system, this information disclosure should also be scored as “Total” if those credentials give an adversary total control of the component.
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.RiskPrioritization.getTechnicalImpactDetails(
organization="Demo Org",
account_name="Demo Account",
row_limit=5
)
print(response)
client.close()Requires Python 3.9 or later.